Package pyxmpp :: Package jabber :: Module muc :: Class MucRoomUser

[hide private]

# Class MucRoomUser

source code

Describes a user of a MUC room.

The attributes of this object should not be changed directly.

Instance Methods | [hide private]

__init__(self, presence_or_user_or_jid) Initialize a MucRoomUser object. | source code

update_presence(self, presence) Update user information. | source code

`bool`

same_as(self, other) Check if two MucRoomUser objects describe the same user in the same room. | source code

Instance Variables | [hide private]

: `str` | affiliation : user's affiliation.
: `unicode` | nick : user's nick (resource part of room_jid)
: MucPresence | presence : last presence stanza received for the user.
: JID | real_jid : user's real jid or None if not available.
: `str` | role : user's role.
: JID | room_jid : user's room jid.

Method Details | [hide private]

### __init__(self, presence_or_user_or_jid)
(Constructor)

source code

Initialize a MucRoomUser object.

When `presence_or_user_or_jid` is a JID user's role and affiliation are set to "none".

Parameters:
  - `presence_or_user_or_jid` (: MucPresence or MucRoomUser or JID) - : a MUC presence stanza with user information, a user object to copy or a room JID of a user.

### update_presence(self, presence)

source code

Update user information.

Parameters:
  - `presence` (: MucPresence) - : a presence stanza with user information update.

### same_as(self, other)

source code

Check if two MucRoomUser objects describe the same user in the same room.

Parameters:
  - `other` (: MucRoomUser) - : the user object to compare `self` with.
Returns: `bool`
  `True` if the two object describe the same user.